/*
 * Copyright (c) 2012 Dmitri Melikyan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a 
 * copy of this software and associated documentation files (the 
 * "Software"), to deal in the Software without restriction, including 
 * without limitation the rights to use, copy, modify, merge, publish, 
 * distribute, sublicense, and/or sell copies of the Software, and to permit 
 * persons to whom the Software is furnished to do so, subject to the 
 * following conditions:
 * 
 * The above copyright notice and this permission notice shall be included 
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS 
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF 
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN 
 * NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR 
 * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR 
 * THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */



var http = require('http');
var https = require('https');

module.exports = function(cb) {

  function error() {
    var client = http.get({hostname: 'nonexisting'}, function(cRes) {
      cRes.on('end', function() { 
        success();
      });

      cRes.on('error', function(err) {
        console.error(err);

        success();
      });
    });

    client.on('error', function(err) {
      console.error(err);

      success();
    });
  };


  function success() {
    var client = http.get({hostname: 'search.cliqz.com'}, function(cRes) {
      cRes.on('end', function() { 
        cb();
      });

      cRes.on('error', function(err) {
        console.error(err);

        cb();
      });
    });

    client.on('error', function(err) {
      console.error(err);

      cb();
    });
  };

  error();
};

